Method: projects.locations.deploymentGroups.revisions.list

Lists DeploymentGroupRevisions in a given DeploymentGroup.

HTTP request

GET https://config.googleapis.com/v1/{parent=projects/*/locations/*/deploymentGroups/*}/revisions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of deployment group revisions. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}'. It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}.

Authorization requires the following IAM permission on the specified resource parent:

  • config.deploymentgrouprevisions.list

Query parameters

Parameters
pageSize

integer

Optional. When requesting a page of resources, 'pageSize' specifies number of resources to return. If unspecified, a sensible default will be used by the server. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. Token returned by previous call to 'revisions.list' which specifies the position in the list from where to continue listing the deployment group revisions. All other parameters provided to revisions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

The response message for the revisions.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "deploymentGroupRevisions": [
    {
      object (DeploymentGroupRevision)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
deploymentGroupRevisions[]

object (DeploymentGroupRevision)

The deployment group revisions from the specified collection.

nextPageToken

string

Token to be supplied to the next revisions.list request via pageToken to obtain the next set of results.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • config.googleapis.com/config.deploymentgrouprevisions.list

For more information, see the IAM documentation.